package noown.domain.xsc;

import java.io.PrintStream;
import java.util.Vector;

/**
 * A class that saves warning messages.
 *
 * @author Kilian Stillhard
 */
public class XSCWarning
{
	private static Vector fWarnings;
	
	static { fWarnings = new Vector(); }
	
	public static void resetWarnings()
	{
		fWarnings = new Vector();
	}
	
	public static void add(String warn)
	{
		fWarnings.add("Warning: "+warn);
	}
	
	public static void printWarnings(PrintStream out)
	{
		for (int i = 0; i < fWarnings.size(); i++)
			out.println((String)fWarnings.elementAt(i));
	}
}
