package noown.domain.xsc.comp;

import noown.domain.xsc.XSCException;
import noown.domain.xsc.XSCHandler;
import noown.domain.xsc.util.XSCNodeListImpl;
import noown.domain.xsc.val.XSCValue;

import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class XSCAnnotation extends XSCComponent
{
	private String fText;
	
	public XSCAnnotation() throws XSCException
	{
		super();
	}

	public XSCAnnotation(NodeList nodes) throws XSCException
	{
		super(nodes);
	}
	
	public XSCAnnotation(Element el) throws XSCException
	{
		XSCNodeListImpl nodes = new XSCNodeListImpl();
		nodes.add(el);
		fNodes = nodes;
	}

	public int getType()
	{
		return XSCValue.ANNOT_VALUE;
	}

	protected void property_(XSCValue value, int subtype) throws XSCException
	{}

	protected void freeze_() throws XSCException
	{}
}
