package noown.domain.xsc.val;

import noown.domain.xsc.XSCException;

/**
 * Kurzbeschreibung
 * 
 * Langbeschreibung
 * 
 * @author Kilian Stillhard
 * @version 0.01
 */
public class XSCAnnotationValue extends XSCSimpleValue
{
	private String fText;
	
	public XSCAnnotationValue(String text)
	{
		fText = text;
	}

	public int getType()
	{
		return XSCValue.ANNOT_VALUE;
	}
	
	public String getXMLString() throws XSCException
	{
		return fText;
	}

	public String getXSCString() throws XSCException
	{
		return fText;
	}

	public XSCAnnotationValue addAnnot(XSCAnnotationValue newAnnot)
	{
		fText = fText + "\n" + newAnnot.fText;
		return this;
	}

}
