package noown.domain.xsc.comp;

import noown.domain.xsc.XSCDOMBuilder;
import noown.domain.xsc.XSCException;
import noown.domain.xsc.XSCHandler;
import noown.domain.xsc.XSCParserConstants;
import noown.domain.xsc.util.XSCNodeListImpl;
import noown.domain.xsc.val.XSCValue;

import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

/**
 * Kurzbeschreibung
 * 
 * Langbeschreibung
 * 
 * @author Kilian Stillhard
 * @version 0.01
 */
public class XSCElementWildcard extends XSCWildcard
{
	public XSCElementWildcard() throws XSCException
	{
		super();
	}

	public XSCElementWildcard(NodeList nodes) throws XSCException
	{
		super(nodes);
	}

	public int getType()
	{
		return XSCValue.ELEMENT_WC;
	}

	protected void freeze_() throws XSCException
	{
		Element wc = XSCDOMBuilder.getBuilder().createSchemaElement("any");
		XSCCommon.addAnnotation(wc,annot);
		addNodes(wc,getWildcardAttrs());
		((XSCNodeListImpl)fNodes).add(wc);
	}
}
