package noown.domain.xsc.val;

import noown.domain.xsc.XSCException;

import org.w3c.dom.Document;
import org.w3c.dom.NodeList;

/**
 * Base class of all simple value classes
 * 
 * 
 * @author Kilian Stillhard
 */
public abstract class XSCSimpleValue extends XSCValue
{	
	abstract public int getType();
	
	abstract public String getXMLString() throws XSCException;
	
	abstract public String getXSCString() throws XSCException;
	
	public String toString()
	{
		try { return getXSCString(); } catch (XSCException e) { return ""; }
	}

}
