package noown.domain.xsc.val;

import noown.domain.xsc.XSCException;
import org.w3c.dom.NodeList;

/**
 * Class that holds an URI.
 * 
 * No URI syntax checking is done here.
 * 
 * @author Kilian Stillhard
 */
public class XSCURIValue extends XSCStringValue
{
	public XSCURIValue(String uri, boolean quoted) throws XSCException
	{
		super(uri,quoted);
	}
	
	public int getType()
	{
		return XSCValue.URI_VALUE;
	}
}
