package noown.domain.xsc.val;

import noown.domain.xsc.XSCException;
import org.w3c.dom.NodeList;

/**
 * Class that holds an XPath value. No XPath syntax checking is done.
 * 
 * @author Kilian Stillhard
 */
public class XSCXPathValue extends XSCStringValue
{
	
	public XSCXPathValue(String xpath,boolean quoted) throws XSCException
	{
		super(xpath,quoted);
	}

	public int getType()
	{
		return XSCValue.XPATH_VALUE;
	}
}
